AbstractLayoutCache.NodeDimensions (Java SE 26 & JDK 26)
Description: declaration: module: java.desktop, package: javax.swing.tree, class: AbstractLayoutCache, class: NodeDimensions
Keywords: javax.swing.tree.AbstractLayoutCache.NodeDimensions class

# Class AbstractLayoutCache.NodeDimensions

java.lang.Object
javax.swing.tree.AbstractLayoutCache.NodeDimensions

Direct Known Subclasses:
  `BasicTreeUI.NodeDimensionsHandler`

Enclosing class:
  `AbstractLayoutCache`

public abstract static class AbstractLayoutCache.NodeDimensions extends Object
Used by `AbstractLayoutCache` to determine the size and x origin of a particular node.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `NodeDimensions()`
  Constructor for subclasses to call.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Rectangle`
  `getNodeDimensions(Object value, int row, int depth, boolean expanded, Rectangle bounds)`
  Returns, by reference in bounds, the size and x origin to place value at.

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
  Modifier and Type
  Method
  Description
  `protected Object`
  `clone()`
  Creates and returns a copy of this object.
  `boolean`
  `equals(Object obj)`
  Indicates whether some other object is "equal to" this one.
  `protected void`
  `finalize()`
  Deprecated, for removal: This API element is subject to removal in a future version.
  Finalization is deprecated and subject to removal in a future release.
  `final Class<?>`
  `getClass()`
  Returns the runtime class of this `Object`.
  `int`
  `hashCode()`
  Returns a hash code value for this object.
  `final void`
  `notify()`
  Wakes up a single thread that is waiting on this object's monitor.
  `final void`
  `notifyAll()`
  Wakes up all threads that are waiting on this object's monitor.
  `String`
  `toString()`
  Returns a string representation of the object.
  `final void`
  `wait()`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
  `final void`
  `wait(long timeoutMillis)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
  `final void`
  `wait(long timeoutMillis, int nanos)`
  Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

- ## Constructor Details

  - ### NodeDimensions

    protected NodeDimensions()
    Constructor for subclasses to call.

- ## Method Details

  - ### getNodeDimensions

    public abstract Rectangle getNodeDimensions(Object value, int row, int depth, boolean expanded, Rectangle bounds)
    Returns, by reference in bounds, the size and x origin to place value at. The calling method is responsible for determining the Y location. If bounds is `null`, a newly created `Rectangle` should be returned, otherwise the value should be placed in bounds and returned.
    Parameters:
      `value` - the `value` to be represented
      `row` - row being queried
      `depth` - the depth of the row
      `expanded` - true if row is expanded, false otherwise
      `bounds` - a `Rectangle` containing the size needed to represent `value`
    Returns:
      a `Rectangle` containing the node dimensions, or `null` if node has no dimension